<?php

/**
 * Handle public petition form submissions
 */
add_action( 'wp_ajax_dk_speakup_sendmail', 'dk_speakup_sendmail' );
add_action( 'wp_ajax_nopriv_dk_speakup_sendmail', 'dk_speakup_sendmail' );
function dk_speakup_sendmail() {

	include_once( 'class.signature.php' );
	include_once( 'class.petition.php' );
	include_once( 'class.mail.php' );
	$the_signature = new dk_speakup_Signature();
	$the_petition  = new dk_speakup_Petition();
	$options       = get_option( 'dk_speakup_options' );

	// clean posted signature fields
	$the_signature->poppulate_from_post();

	// get petition data
	$the_petition->retrieve( $the_signature->petitions_id );

	// check if submitted email address is already in use for this petition
	if ( $the_signature->has_unique_email( $the_signature->email, $the_signature->petitions_id ) ) {

		// handle custom petition messages
		$original_message = str_replace( "\r", '', $the_petition->petition_message );
		if ( $the_petition->is_editable && $the_signature->submitted_message != $original_message ) {
			$the_signature->custom_message = trim( $the_signature->submitted_message );
		}

		// does petition require email confirmation?
		if ( $the_petition->requires_confirmation ) {
			$the_signature->is_confirmed = 0;
			$the_signature->create_confirmation_code();
			dk_speakup_Mail::send_confirmation( $the_petition, $the_signature, $options );
		}
		else {
			if ( $the_petition->sends_email ) {
				dk_speakup_Mail::send_petition( $the_petition, $the_signature );
			}
		}

		// add signature to database
		$the_signature->create( $the_signature->petitions_id );

		// display success message
		$success_message = $options['success_message'];
		$success_message = str_replace( '%first_name%', $the_signature->first_name, $success_message );
		$success_message = str_replace( '%last_name%', $the_signature->last_name, $success_message );
		echo $success_message;
	}
	else {
		// display error message
		echo $options['already_signed_message'];
	}

	// end AJAX processing
	die();
}

?>